#if !defined __DIRECTSERIAL_WIN32_H
#define __DIRECTSERIAL_WIN32_H

#include "serialport.h"
#include <windows.h>

class CDirectSerial : public CSerial
{
public:
	HANDLE hCom;
	DCB dcb;
	BOOL fSuccess;

	CDirectSerial(	
			Bit16u baseAddr,
			Bit8u initIrq,
			Bit32u initBps,
			Bit8u bytesize,
			const char *parity,
			Bit8u stopbits,
			const char * realPort
		);
	

	~CDirectSerial();
	

	bool CanRecv(void);
	bool CanSend(void);

	void RXBufferEmpty();

	
	void updatePortConfig(Bit8u dll, Bit8u dlm, Bit8u lcr);
	void updateMSR();
	void transmitByte(Bit8u val);
	void setBreak(bool value);
	void updateModemControlLines(Bit8u mcr);
	void Timer2(void);
	
		
};

#endif