#if !defined __SERIALDUMMY_H
#define __SERIALDUMMY_H

#include "serialport.h"


class CSerialDummy : public CSerial
{
public:
	
	CSerialDummy(	Bit16u baseAddr,
					Bit8u initIrq,
					Bit32u initBps,
					Bit8u bytesize,
					const char* parity,
					Bit8u stopbits
		);


	~CSerialDummy();
	bool CanRecv(void);
	bool CanSend(void);
	void RXBufferEmpty();
	void updatePortConfig(Bit8u dll, Bit8u dlm, Bit8u lcr);
	void updateMSR();
	void transmitByte(Bit8u val);
	void setBreak(bool value);
	void updateModemControlLines(Bit8u mcr);
	void Timer2(void);
};

#endif